Save cars
curl --request POST \
--url https://sandbox.tight.com/v6/mileage/cars \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "car_28868401",
"make": "Toyota",
"model": "Camry",
"name": "My Toyota Camry",
"year": 2022,
"isPrimary": true,
"status": "ACTIVE",
"details": [
{
"year": 2024,
"odometer": 12500
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/mileage/cars"
payload = { "data": [
{
"id": "car_28868401",
"make": "Toyota",
"model": "Camry",
"name": "My Toyota Camry",
"year": 2022,
"isPrimary": True,
"status": "ACTIVE",
"details": [
{
"year": 2024,
"odometer": 12500
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
id: 'car_28868401',
make: 'Toyota',
model: 'Camry',
name: 'My Toyota Camry',
year: 2022,
isPrimary: true,
status: 'ACTIVE',
details: [{year: 2024, odometer: 12500}],
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};
fetch('https://sandbox.tight.com/v6/mileage/cars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "car_28868401",
"make": "Toyota",
"model": "Camry",
"name": "My Toyota Camry",
"year": 2022,
"isPrimary": true,
"status": "ACTIVE",
"details": [
{
"year": 2024,
"odometer": 12500
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "car_28868401",
"make": "Toyota",
"model": "Camry",
"name": "My Toyota Camry",
"year": 2022,
"isPrimary": true,
"status": "ACTIVE",
"details": [
{
"year": 2024,
"odometer": 12500
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "car_28868401",
"make": "Toyota",
"model": "Camry",
"name": "My Toyota Camry",
"year": 2022,
"isPrimary": true,
"status": "ACTIVE",
"details": [
{
"year": 2024,
"odometer": 12500
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Cars
Save cars
Save new (or update existing) cars
POST
/
v6
/
mileage
/
cars
Save cars
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I